%global blaslib flexiblas
%global cmake_blas_flags -DBLAS_TYPE=FLEXIBLAS -DLAPACK_TYPE=FLEXIBLAS

%undefine __cmake_in_source_build
%global soversion 1

Name:           mopac
Version:        22.1.1
Release:        2%{?dist}
Summary:        A semiempirical quantum chemistry program
License:        LGPLv3+
URL:            http://openmopac.net
Source0:        https://github.com/openmopac/mopac/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  %{blaslib}-devel
BuildRequires:  python3-devel
BuildRequires:  python3-numpy
BuildRequires:  gcc-gfortran
BuildRequires:  cmake
BuildRequires:  make

Patch1:         mopac-22.0.5-rpath.patch

Requires:       %{name}-libs = %{version}-%{release}

%description
The modern open-source version of the Molecular Orbital PACkage
(MOPAC), a semiempirical quantum chemistry program based on Dewar and
Thiel's NDDO approximation.

%package libs
Summary:        MOPAC runtime libraries

%description libs
This package contains MOPAC's runtime libraries.

%package devel
Summary:        MOPAC development library
Requires:       %{name}-libs = %{version}-%{release}

%description devel
This package contains MOPAC's development library.

%prep
%setup -q
%patch1 -p1 -b .rpath

%build
%cmake -DENABLE_MKL=OFF -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF \
       %{cmake_blas_flags}

%cmake_build

%install
%cmake_install

%check
export OMP_NUM_THREADS=1
%ctest

%files
%{_bindir}/mopac
%{_bindir}/mopac-makpol
%{_bindir}/mopac-param

%files libs
%license COPYING COPYING.lesser
%doc README.md AUTHORS.rst
%{_libdir}/libmopac.so.%{soversion}*

%files devel
%{_libdir}/libmopac.so

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.1-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.1-1
- initial build
